(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    106566,       1977]
NotebookOptionsPosition[    104882,       1920]
NotebookOutlinePosition[    105623,       1947]
CellTagsIndexPosition[    105580,       1944]
WindowTitle->Tumor Growth Model - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzsnQdQHNf9xw9Z+TuxkziJU504cVOz5BbbcUmcxI57UaNc2bujg3qXR72C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    "], {{0, 492}, {190, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{190, 492},
  PlotRange->{{0, 190}, {0, 492}}]], "Text"],

Cell[CellGroupData[{

Cell["Tumor Growth Model", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "a_List", "]"}], ":=", 
  RowBox[{
   RowBox[{"RandomChoice", "[", "a", "]"}], "+", 
   RowBox[{"RandomChoice", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.3828970857331877`*^9, 3.382897087739348*^9}, {
   3.3840270379428167`*^9, 3.384027043612866*^9}},
 CellID->1743819556],

Cell[BoxData[
 RowBox[{
  RowBox[{"AStep", "=", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"c", ",", "_Integer", ",", "2"}], "}"}], "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", 
           RowBox[{"MemberQ", "[", 
            RowBox[{"c", ",", "#"}], "]"}]}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{"c", ",", "#"}], "]"}], ",", 
          RowBox[{"AStep", "[", "c", "]"}]}], "]"}], "&"}], ")"}], "[", 
      RowBox[{"f", "[", "c", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"f", "[", "_", "]"}], ",", "_Integer", ",", "1"}], "}"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.383913301493763*^9, 3.38391332892323*^9}, 
   3.383913409329508*^9, {3.383913599971718*^9, 3.383913604670045*^9}, 
   3.383913638264224*^9, {3.383914527219366*^9, 3.383914569618527*^9}, {
   3.383914668171639*^9, 3.383914676701457*^9}, {3.384019549594228*^9, 
   3.384019625528027*^9}, {3.384027099676756*^9, 3.384027129638343*^9}},
 CellID->183651576],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"SeedRandom", "[", "sr", "]"}], ";", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"evol", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{"AStep", ",", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], "}"}], ",", "step"}], "]"}]}], 
       "}"}], ",", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"coords", "=", 
           RowBox[{"Min", "/@", 
            RowBox[{"Transpose", "@", "evol"}]}]}], ",", 
          RowBox[{"size", "=", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Min", "[", "#", "]"}], ",", 
               RowBox[{"Max", "[", "#", "]"}]}], "}"}], "&"}], "/@", 
            RowBox[{"Transpose", "@", "evol"}]}]}]}], "}"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Raster", "[", 
             RowBox[{
              RowBox[{"Normal", "@", 
               RowBox[{"SparseArray", "[", 
                RowBox[{
                 RowBox[{"MapIndexed", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"Blend", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.980392", ",", " ", "0.313725", ",", " ", "0.239216"}], 
                    "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.886275", ",", " ", "0.580392", ",", " ", "0.113725"}], 
                    "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.745098", ",", " ", "0.85098", ",", " ", "0.14902"}], 
                    "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.145098", ",", " ", "0.854902", ",", " ", "0.501961"}], 
                    "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.156863", ",", " ", "0.654902", ",", " ", "0.843137"}], 
                    "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.87451", ",", " ", "0.482353", ",", " ", "0.729412"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"Length", "[", "evol", "]"}], ")"}]}]}], "]"}]}], 
                    "&"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "-", "coords"}], ")"}], "&"}], "/@", 
                    "evol"}], "+", "1"}]}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Subtract", "@@@", 
                   RowBox[{"Reverse", "/@", "size"}]}], "+", "1"}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{
                  "0.937255", ",", " ", "0.960784", ",", " ", "0.647059"}], 
                  "]"}]}], "]"}]}], "/.", 
              RowBox[{"RGBColor", "\[Rule]", "List"}]}], "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", 
              RowBox[{"0.01", ",", "0.01"}], "}"}], "]"}], ",", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"Reverse", "@", "coords"}]}], ",", 
              RowBox[{"Ceiling", "[", 
               RowBox[{
                RowBox[{"Max", "[", 
                 RowBox[{"Norm", "/@", "evol"}], "]"}], "+", "1"}], "]"}]}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"Background", "\[Rule]", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"0.937255", ",", " ", "0.960784", ",", " ", "0.647059"}], 
            "]"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Ceiling", "@", 
                RowBox[{"Max", "[", 
                 RowBox[{"Norm", "/@", "evol"}], "]"}]}], "+", "3"}], ")"}], 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "-", 
            RowBox[{"Reverse", "@", "coords"}]}]}]}], "]"}]}], "]"}]}], 
     "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sr", ",", " ", "1000", ",", " ", "\"\<seed\>\""}], "}"}], ",", 
     "0", ",", "100000", ",", "1", ",", 
     RowBox[{"ControlPlacement", " ", "\[Rule]", " ", "Bottom"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"step", ",", "150"}], "}"}], ",", "1", ",", "3000", ",", "1", 
     ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.382734864849352*^9, 3.3827348733519382`*^9}, {
   3.38273496449191*^9, 3.382734982967903*^9}, {3.382735232018745*^9, 
   3.3827352445927153`*^9}, {3.38273528565851*^9, 3.38273531058008*^9}, {
   3.382735385536162*^9, 3.38273538874162*^9}, 3.382735419407432*^9, {
   3.382735496457902*^9, 3.382735573689507*^9}, {3.382735619086707*^9, 
   3.382735651636663*^9}, {3.382735743301488*^9, 3.3827357455727663`*^9}, {
   3.38298594285314*^9, 3.382985972640606*^9}, {3.382986023990217*^9, 
   3.3829860469902697`*^9}, {3.382986086465434*^9, 3.382986089074025*^9}, {
   3.3829866248923807`*^9, 3.382986646525392*^9}, {3.382986689077588*^9, 
   3.382986689836707*^9}, {3.382986897939399*^9, 3.382986901323502*^9}, 
   3.382987134637727*^9, {3.382987216180769*^9, 3.382987241012033*^9}, {
   3.38326200273975*^9, 3.383262032544169*^9}, 3.383262141737403*^9, {
   3.383262190055818*^9, 3.383262234768444*^9}, {3.383262277483577*^9, 
   3.383262295049251*^9}, {3.3832624426517687`*^9, 3.383262532214582*^9}, {
   3.383262572629291*^9, 3.383262585637788*^9}, {3.383262729658957*^9, 
   3.383262730066264*^9}, {3.383262837174519*^9, 3.3832628512935658`*^9}, {
   3.383262980494299*^9, 3.383262981188586*^9}, 3.383263250362713*^9, {
   3.3832633334927177`*^9, 3.383263338351231*^9}, {3.383265425076655*^9, 
   3.3832654410338783`*^9}, {3.383911236155712*^9, 3.3839112387008467`*^9}, 
   3.383911399151751*^9, {3.383912404938346*^9, 3.3839124188194437`*^9}, {
   3.383912509592237*^9, 3.383912565439533*^9}, {3.383912617163817*^9, 
   3.3839126319899673`*^9}, {3.383912773402141*^9, 3.3839128346296253`*^9}, 
   3.383912978777923*^9, {3.383913029996245*^9, 3.383913030517428*^9}, {
   3.383913067527938*^9, 3.383913068604895*^9}, {3.3839137211994123`*^9, 
   3.3839137223575583`*^9}, {3.3839395189563093`*^9, 3.383939607573662*^9}, {
   3.38393978910046*^9, 3.3839398186393223`*^9}, 3.38393985876849*^9, {
   3.383940002812859*^9, 3.383940022677545*^9}, 3.383940065501446*^9, 
   3.383940165751273*^9, {3.383940233735428*^9, 3.383940233921461*^9}, {
   3.3839402806802464`*^9, 3.383940357452448*^9}, {3.383940395842778*^9, 
   3.383940400753018*^9}, {3.383940465814893*^9, 3.383940520032035*^9}, {
   3.383940550721798*^9, 3.383940617585232*^9}, {3.3840114316664257`*^9, 
   3.384011471208864*^9}, 3.384012072685204*^9, {3.38401230535644*^9, 
   3.3840123058149643`*^9}, {3.384012339902713*^9, 3.3840123400079203`*^9}, {
   3.384013361788773*^9, 3.3840133622813873`*^9}, {3.384013488184684*^9, 
   3.384013545730782*^9}, {3.384013754972275*^9, 3.38401376044004*^9}, {
   3.3840138333076553`*^9, 3.3840138678572702`*^9}, {3.384015522229945*^9, 
   3.3840155378804483`*^9}, 3.384015700263892*^9, {3.384016098119081*^9, 
   3.384016098438086*^9}, {3.384016301756675*^9, 3.3840163176011057`*^9}, {
   3.3840232535452337`*^9, 3.384023253658339*^9}, {3.3840234094172277`*^9, 
   3.384023422415543*^9}, {3.3840235404988728`*^9, 3.384023565267857*^9}, {
   3.3840242877247953`*^9, 3.3840243857156553`*^9}, {3.384024416537614*^9, 
   3.384024416797316*^9}, {3.384024524819275*^9, 3.3840245331513987`*^9}, {
   3.384024746755312*^9, 3.3840247786240587`*^9}, {3.3840248351886387`*^9, 
   3.384024930643464*^9}, 3.384024978025502*^9, {3.384026045096241*^9, 
   3.384026062953691*^9}, {3.384300251921875*^9, 3.38430028128125*^9}, {
   3.384626093217961*^9, 3.384626110151765*^9}, {3.4769887352984*^9, 
   3.4769887377320004`*^9}},
 CellID->1555687513],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`sr$$ = 100000, $CellContext`step$$ = 203, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`sr$$], 1000, "seed"}, 0, 100000, 1}, {{
       Hold[$CellContext`step$$], 150}, 1, 3000, 1}}, Typeset`size$$ = {
    360., {177., 183.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`sr$1476$$ = 
    0, $CellContext`step$1477$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`sr$$ = 1000, $CellContext`step$$ = 150}, 
      "ControllerVariables" :> {
        Hold[$CellContext`sr$$, $CellContext`sr$1476$$, 0], 
        Hold[$CellContext`step$$, $CellContext`step$1477$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (SeedRandom[$CellContext`sr$$]; 
       Module[{$CellContext`evol = 
          Nest[$CellContext`AStep, {{0, 0}}, $CellContext`step$$]}, 
         With[{$CellContext`coords = Map[Min, 
             Transpose[$CellContext`evol]], $CellContext`size = Map[{
              Min[#], 
              Max[#]}& , 
             Transpose[$CellContext`evol]]}, 
          Graphics[{
            Raster[
             ReplaceAll[
              Normal[
               SparseArray[
                MapIndexed[# -> Blend[{
                    RGBColor[0.980392, 0.313725, 0.239216], 
                    RGBColor[0.886275, 0.580392, 0.113725], 
                    RGBColor[0.745098, 0.85098, 0.14902], 
                    RGBColor[0.145098, 0.854902, 0.501961], 
                    RGBColor[0.156863, 0.654902, 0.843137], 
                    RGBColor[0.87451, 0.482353, 0.729412]}, Part[#2, 1]/
                   Length[$CellContext`evol]]& , 
                 Map[# - $CellContext`coords& , $CellContext`evol] + 1], 
                Apply[Subtract, 
                  Map[Reverse, $CellContext`size], {1}] + 1, 
                RGBColor[0.937255, 0.960784, 0.647059]]], RGBColor -> List]], 
            Dashing[{0.01, 0.01}], 
            Circle[-Reverse[$CellContext`coords], 
             Ceiling[Max[
                Map[Norm, $CellContext`evol]] + 1]]}, Background -> 
           RGBColor[0.937255, 0.960784, 0.647059], PlotRange -> (Ceiling[
                Max[
                 Map[Norm, $CellContext`evol]]] + 3) {{-1, 1}, {-1, 1}} - 
            Reverse[$CellContext`coords]]]]), 
      "Specifications" :> {{{$CellContext`sr$$, 1000, "seed"}, 0, 100000, 1, 
         ControlPlacement -> Bottom}, {{$CellContext`step$$, 150}, 1, 3000, 1,
          Appearance -> "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{411., {238., 245.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`evol = CompressedData["
1:eJxdlgmO2zAMRRnLuzO9w1ypR+gB2gP00G1mMoktby2B9yEiBgxZEkXyfy7y
+49f339WZvb7Yuajngvj69r5/9FYsebvwfrBus5W4Zyv7cjtzDfmiTMp6Evs
V8j7WLNfB59kx20cwU5Cztc35tFGCrqagFk2fK0NMhV++fca/It7K3P/btgX
F+7Tzn6H3h05cbSCsw2+isMWn4S7Q38TOGgC3hYZ46w4Sow19oVRnMunI+iW
Dp3tWBdWtyf/FROXzeBJgR9hO9GfwvcKXx1rLee6YEe5Jt9dLof4umzP+oL9
BvkVP3PIu425HnHlZxbkFMsBvXp2xh7bK74mvnv8ntGTwXe8YFMsDFvKMXHy
DLxKXjFWzDr0KzbCoRrb0KO4Zc5v4JAvO3zU6Fjh0ecj+IeA9+C8Y53Yf2BT
XCRw9ejfsLVx7hnyUjm7BV8jRwN+qbZVkzq/w7ewD4HTBY7VGxp4GLGZAuYB
f2tG5bDeEz51Tvs9dlz3YKUO5HMdbFfB1oE+4VVfWPHvgr4Kf1SXO/FJ7F+I
k89n/OvRN5+ltl32gb0HfPVw9kX82nBO+hRfCzlwtVKHqpHeSo9aiOsFG62V
etSo3NjRn8inhB6Xmaz0YunPIQeXl5yewXeGnFNdDOi3YGOycpf5/p3vO3gf
8HeHryfzzHhFV2+llym/T3yTf/5+IjOA6xHkYs8brNR7hi+398H5DH8j2K5W
ngPeJO/PnXFE7x0Or8irJg7GEx++iIv2KmxPVv4FRjBLx04+NWBa0KX1GvzK
9wxmx/hmpaZXXulXbuqcYq+9gRiIZ+nWP4J6pbhX31H+Crd6nHJRtdTDhzFX
3xW+lTzW/TqDYwOXeo3Lf+Dfm5V7WDFV7xbnqpUBrnU/6L729Rvx3TmX+X4y
mpUeoV7l4zcr/2IL+VCjz/B3BIt4VE+Yiaf+MxbWM3hV1+I8o39ndJyfnJms
3J9LwDAxzvB6tXJX+/wJv6OV/jpa6f3LWe5k5ZlqY0Sf272BT3fN35Azip/y
09CvWOoe7dC34W+8W28hNgu86F65ck517v5NVvpl3FMPXJh/wP+dHPqD3/8A
YqntJw==
        "], $CellContext`AStep = CompiledFunction[{{
           Blank[Integer], 2}}, {{2, 2, 0}, {2, 2, 3}}, {2, 1, 0, 0, 
         5}, {{1, 7}, {54, 
           Function[{$CellContext`c}, 
            $CellContext`f[$CellContext`c]], 2, 2, 0, 2, 1, 1}, {82, 0, 1, 
          0}, {43, 0, 1}, {3, 1, 7}, {7, -1, 0}, {67, 0, 2, 2}, {68, 2, 3}, {
          74, 0, 1, 3, 4}, {46, 4, 3}, {4, 3}, {54, 
           Function[{$CellContext`c}, 
            $CellContext`AStep[$CellContext`c]], 2, 2, 0, 2, 2, 2}, {46, 2, 
          3}, {2}}, 
         Function[{$CellContext`c}, 
          (If[
           Not[
            MemberQ[$CellContext`c, #]], 
           Append[$CellContext`c, #], 
           $CellContext`AStep[$CellContext`c]]& )[
           $CellContext`f[$CellContext`c]]], Evaluate], $CellContext`f[
         Pattern[$CellContext`a, 
          Blank[List]]] := 
       RandomChoice[$CellContext`a] + 
        RandomChoice[{{1, 0}, {0, 1}, {-1, 0}, {0, -1}}], 
       Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.47698099491*^9, 3.4769887423496*^9}],

Cell[BoxData[
 TemplateBox[{
  "CompiledFunction","cfex",
   "\"Could not complete external evaluation at instruction \\!\\(\\*RowBox[{\
\\\"1\\\"}]\\); proceeding with uncompiled evaluation.\"",2,1,1,
   21638915448191122168,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.697304663074994*^9}],

Cell[BoxData[
 TemplateBox[{
  "CompiledFunction","cfex",
   "\"Could not complete external evaluation at instruction \\!\\(\\*RowBox[{\
\\\"1\\\"}]\\); proceeding with uncompiled evaluation.\"",2,1,2,
   21638915448191122168,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.6973046631112704`*^9}],

Cell[BoxData[
 TemplateBox[{
  "CompiledFunction","cfex",
   "\"Could not complete external evaluation at instruction \\!\\(\\*RowBox[{\
\\\"1\\\"}]\\); proceeding with uncompiled evaluation.\"",2,1,3,
   21638915448191122168,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.6973046631182737`*^9}],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"CompiledFunction\\\", \
\\\"::\\\", \\\"cfex\\\"}], \\\"MessageName\\\"]\\) will be suppressed during \
this calculation.\"",2,1,4,21638915448191122168,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.6973046631495423`*^9}]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnd1x7LpyRlVlJ+I09OYUHMJ90OtN4z4qGiWzg9k+I81oBkD/AiCH4KxV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    "], {{0, 136}, {1089, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{1089, 136},
  PlotRange->{{0, 1089}, {0, 136}}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Tumor Growth Model",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TumorGrowthModel/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TumorGrowthModel/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TumorGrowthModel/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TumorGrowthModel/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TumorGrowthModel/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Enrique Zeleny",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Enrique+Zeleny"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Enrique+Zeleny"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->589550342],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TumorGrowthModel"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
AutoGeneratedPackage->None,
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{1536, 821},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Tumor Growth Model - Source",
DockedCells->{},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
CellContext->Notebook,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[586, 21, 71789, 1182, 506, "Text"],
Cell[CellGroupData[{
Cell[72400, 1207, 210, 4, 70, "Section"],
Cell[72613, 1213, 717, 22, 46, "Input",
 InitializationCell->True,
 CellID->1743819556],
Cell[73333, 1237, 1207, 32, 46, "Input",
 InitializationCell->True,
 CellID->183651576],
Cell[CellGroupData[{
Cell[74565, 1273, 8883, 187, 221, "Input",
 CellID->1555687513],
Cell[83451, 1462, 5657, 111, 500, "Output"],
Cell[89111, 1575, 318, 7, 21, "Message"],
Cell[89432, 1584, 320, 7, 21, "Message"],
Cell[89755, 1593, 320, 7, 21, "Message"],
Cell[90078, 1602, 349, 7, 21, "Message"]
}, Open  ]],
Cell[90442, 1612, 10276, 173, 151, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100755, 1790, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[101131, 1801, 875, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[102043, 1830, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[102383, 1841, 456, 15, 18, "Text",
 CellID->589550342],
Cell[102842, 1858, 829, 24, 98, "Text"],
Cell[103674, 1884, 1192, 33, 88, "Text"]
}, Open  ]]
}
]
*)

